/****************************************************************************
 * This file is part of the program mcmcalgn for joint sampling alignments  *
 * and mutation parameter values for two given DNA-sequences.               *
 *                                                                          *
 *    Copyright (C) 2000  Dirk Metzler                                      *
 *    e-mail: dmetzler@math.uni-frankfurt.de                                * 
 *                                                                          *
 *  This program is free software; you can redistribute it and/or modify    *
 *  it under the terms of the GNU General Public License as published by    *
 *  the Free Software Foundation; either version 2 of the License, or       *
 *  (at your option) any later version.                                     *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program; if not, write to the                           *
 *  Free Software Foundation, Inc., 59 Temple Place, Suite 330,             *
 *  Boston, MA  02111-1307  USA                                             *
 ****************************************************************************/

class eingabe_parameter {
public : 
    string dnadat1, dnadat2, param_samples;
    int start_align;
    double s, lambda, mu;
    int anz_burn, anz_runs, anz_steps, resamp; 
    void from_file(char * dateiname)
        /* Eingabe der eingabe_parameter aus Datei dateiname 
	 */;
    void interactive()
	/* Interaktive Eingabe der eingabe_parameter
	 */;
    
};


